Qt 5.9 | Qt 3D | C++ Classes | QChannelMapper

Qt 5.9.9 Reference Documentation

# QChannelMapper Class

(Qt3DAnimation::QChannelMapper)

Inherits: | Qt3DCore::QNode

- List of all members, including inherited members

## Public Functions

| QChannelMapper(Qt3DCore::QNode *parent = nullptr)
| ~QChannelMapper()
void | addMapping(QChannelMapping *mapping)
QVector<QChannelMapping *> | mappings() const
void | removeMapping(QChannelMapping *mapping)

- 11 public functions inherited from Qt3DCore::QNode

## Protected Functions

| QChannelMapper(QChannelMapperPrivate &dd, Qt3DCore::QNode *parent = nullptr)

- 2 protected functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 3 properties inherited from Qt3DCore::QNode
- 3 public slots inherited from Qt3DCore::QNode
- 4 signals inherited from Qt3DCore::QNode

## Member Function Documentation

### QChannelMapper::QChannelMapper(Qt3DCore::QNode *parent = nullptr)

Default constructs an instance of QChannelMapper.

### `[protected]` QChannelMapper::QChannelMapper(QChannelMapperPrivate &dd, Qt3DCore::QNode *parent = nullptr)

Copy constructor.

### QChannelMapper::~QChannelMapper()

Destroys the instance of QChannelMapper.

### void QChannelMapper::addMapping(QChannelMapping *mapping)

### QVector<QChannelMapping *> QChannelMapper::mappings() const

### void QChannelMapper::removeMapping(QChannelMapping *mapping)